<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.PrintMPoolSystemStats Method (Boolean, Boolean, Boolean)
DatabaseEnvironment Class See Also

Display the memory pool (that is, buffer cache) subsystem statistical information, as described by MPoolStats.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void PrintMPoolSystemStats(
    	bool PrintAll,
    	bool ClearStats,
    	bool HashChains
    )

Visual Basic (Declaration)

    Public Sub PrintMPoolSystemStats ( _
    	PrintAll As Boolean, _
    	ClearStats As Boolean, _
    	HashChains As Boolean _
    )

Visual C++

    public:
    void PrintMPoolSystemStats(
    	bool PrintAll,
    	bool ClearStats,
    	bool HashChains
    )

#### Parameters

PrintAll
  Type: System..::.Boolean
  If true, display all available information.

ClearStats
  Type: System..::.Boolean
  If true, reset statistics after displaying their values.

HashChains
  Type: System..::.Boolean
  If true, display the buffers with hash chains.

# See Also

DatabaseEnvironment Class
PrintMPoolSystemStats Overload
BerkeleyDB Namespace